#include <iostream>
#include<string>
using namespace std;

int main()
{
    int r=0;
    string a,b;
    cin>>a>>b;
    for(int i=0;i<a.size();i++)
    {
        if(a[i]=='a')
        {
            r++;
            if(r>=b.size())a[i]='*';

        }

    }
    if(r+1>=b.size())cout<<r-b.size()+1<<endl<<a;
    else cout<<0<<endl<<a;
    return 0;
}